<< cceps | FOSSEE_Signal_Processing_Toolbox | cell2sos >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > cconv

# cconv

Perform circular convolution of two vectors.

### Syntax

    o = cconv(a, b)
    o = cconv(a, b, n)

### Parameters

a:

  Vector. Real or complex input vector.

b:

  Vector. Real or complex input vector.

n:

  Integer. Length of the circular convolution. Defaults to length(a) + length(b) - 1.

o:

  Vector. Resulting circular convolution sequence.

### Description

This function computes the circular convolution of two vectors `a` and `b`. If `n` is not provided, it defaults to length(a) + length(b) - 1. When `n` equals length(a) + length(b) - 1, the circular convolution is equivalent to the linear convolution computed with `conv`.

### Examples

    a = [1, 2, 3]
    b = [4, 5, 6]
    o = cconv(a, b, 3)

### Authors

- Parthasarathi Panda (parthasarathipanda314@gmail.com)

Report an issue
<< cceps | FOSSEE_Signal_Processing_Toolbox | cell2sos >>